#include<iostream>
#include<algorithm>
using namespace std;
long long n;
long long ch[50000];
long long cop[50000];
long long squares[50000];
long long alls;
bool fin;
int main()
{
    cin>>n;
    for(long long i=0;i<n;i++)
    {
        cin>>ch[i];
        cop[i]=ch[i];
    }
    sort(cop,cop+n,greater<long long>());
    for(long long i=0;i*i<cop[0];i++)
    {
        squares[i]=i*i;
        alls++;
    }
    for(long long i=0;i<n;i++)
    {
        fin=false;
        for(long long j=1;j<alls;j++)
        {
            if(squares[j]>ch[i]/2)
            {
                cout<<"0";
                break;
            }
            for(long long k=j;k<alls;k++)
            {
                if(squares[j]+squares[k]==ch[i])
                {
                    cout<<"1";
                    fin=true;
                    break;
                }
            }
            if(fin)
            {
                break;
            }
        }
    }
    return 0;
}
